> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Failed Message

> Retry sending a message that is in a failed state



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/messaging/messages/retry-message/{messageId}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/messaging/messages/retry-message/{messageId}:
    patch:
      tags:
        - Messaging
      summary: Retry Failed Message
      description: Retry sending a message that is in a failed state
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: messageId
          required: true
          description: Message ID
      responses:
        '200':
          description: Message retry initiated
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Message ID
                  from:
                    type: string
                    description: Sender number
                  to:
                    type: string
                    description: Recipient numbers
                  text:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Message text
                  mediaUrls:
                    anyOf:
                      - type: array
                        items:
                          type: string
                      - type: 'null'
                    description: Media URLs
                required:
                  - id
                  - from
                  - to
                  - text
                  - mediaUrls
                additionalProperties: false
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '404':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````